Package org.eclipse.birt.report.engine.api

# Class DocxRenderOption

java.lang.Object
org.eclipse.birt.report.engine.api.TaskOption
org.eclipse.birt.report.engine.api.RenderOption
org.eclipse.birt.report.engine.api.DocxRenderOption

All Implemented Interfaces:
  `IRenderOption`, `ITaskOption`

public class DocxRenderOption extends RenderOption
Render option of docx output

Since:
  3.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OPTION_COMPRESSION_MODE`
property: option compression mode
`static final String`
`OPTION_EMBED_HTML`
property: option embed html
`static final String`
`OPTION_WORD_VERSION`
property: option word version

### Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption

`options`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Constructor Summary

Constructors
Constructor
Description
`DocxRenderOption()`

## Method Summary

Modifier and Type
Method
Description
`CompressionMode`
`getCompressionMode()`
Get the compression mode
`void`
`setCompressionMode(CompressionMode compressionMode)`
Set the compression mode

### Methods inherited from class org.eclipse.birt.report.engine.api.RenderOption

`closeOutputStreamOnExit, getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, needCloseOutputStreamOnExit, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption

`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Field Details

### OPTION_COMPRESSION_MODE

public static final String OPTION_COMPRESSION_MODE
property: option compression mode

See Also:
  - Constant Field Values

### OPTION_EMBED_HTML

public static final String OPTION_EMBED_HTML
property: option embed html

See Also:
  - Constant Field Values

### OPTION_WORD_VERSION

public static final String OPTION_WORD_VERSION
property: option word version

See Also:
  - Constant Field Values

## Constructor Details

### DocxRenderOption

public DocxRenderOption()

## Method Details

### setCompressionMode

public void setCompressionMode(CompressionMode compressionMode)
Set the compression mode

Parameters:
  `compressionMode` - compression mode

### getCompressionMode

public CompressionMode getCompressionMode()
Get the compression mode

Returns:
  Return the compression mode